Package org.eclipse.microprofile.fault.tolerance.tck.illegalConfig

# Class FallbackMethodWithArgsClient

java.lang.Object
org.eclipse.microprofile.fault.tolerance.tck.illegalConfig.FallbackMethodWithArgsClient

@RequestScoped public class FallbackMethodWithArgsClient extends Object
A client to demonstrate the fallback after doing retries

Author:
  Neil Young

## Constructor Summary

Constructors
Constructor
Description
`FallbackMethodWithArgsClient()`

## Method Summary

Modifier and Type
Method
Description
`Integer`
`fallbackForServiceB(String name)`
Fallback method with incompatible signature, only one parameter
`Integer`
`serviceB(String name, Integer type)`
Retry 5 times and then fallback

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FallbackMethodWithArgsClient

public FallbackMethodWithArgsClient()

## Method Details

### serviceB

@Retry(maxRetries=4) @Fallback(fallbackMethod="fallbackForServiceB") public Integer serviceB(String name, Integer type)
Retry 5 times and then fallback

Parameters:
  `name` - a string
  `type` - an Integer
Returns:
  a dummy number

### fallbackForServiceB

public Integer fallbackForServiceB(String name)
Fallback method with incompatible signature, only one parameter

Parameters:
  `name` - a string
Returns:
  a dummy number